CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  What's the CVSS score of your company?
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2021-33684

SAP NetWeaver AS ABAP and ABAP Platform, versions - KRNL32NUC 7.21, 7.21EXT, 7.22, 7.22EXT, KRNL32UC 7.21, 7.21EXT, 7.22, 7.22EXT, KRNL64NUC 7.21, 7.21EXT, 7.22, 7.22EXT, 7.49, KRNL64UC 8.04, 7.21, 7.21EXT, 7.22, 7.22EXT, 7.49, 7.53, KERNEL 8.04, 7.21, 7.21EXT, 7.22, 7.22EXT, 7.49, 7.53, 7.77, 7.81, 7.84, allows an attacker to send overlong content in the RFC request type thereby crashing the corresponding work process because of memory corruption vulnerability. The work process will attempt to restart itself after the crash and hence the impact on the availability is low.
Publish Date : 2021-07-14 Last Update Date : 2021-07-27
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Memory corruption
CWE ID 787

- Products Affected By CVE-2021-33684

# Product Type Vendor Product Version Update Edition Language
1 Application SAP Netweaver Abap Krnl64uc 8.04 * * * Version Details Vulnerabilities
2 Application SAP Netweaver Abap Kernel 8.04 * * * Version Details Vulnerabilities
3 Application SAP Netweaver Abap Krnl32nuc 7.21 * * * Version Details Vulnerabilities
4 Application SAP Netweaver Abap Krnl64nuc 7.21 * * * Version Details Vulnerabilities
5 Application SAP Netweaver Abap Krnl32uc 7.21 * * * Version Details Vulnerabilities
6 Application SAP Netweaver Abap 7.21ext * * * Version Details Vulnerabilities
7 Application SAP Netweaver Abap 7.21 * * * Version Details Vulnerabilities
8 Application SAP Netweaver Abap 7.22 * * * Version Details Vulnerabilities
9 Application SAP Netweaver Abap 7.22ext * * * Version Details Vulnerabilities
10 Application SAP Netweaver Abap 7.49 * * * Version Details Vulnerabilities
11 Application SAP Netweaver Abap 7.53 * * * Version Details Vulnerabilities
12 Application SAP Netweaver Abap 7.77 * * * Version Details Vulnerabilities
13 Application SAP Netweaver Abap 7.81 * * * Version Details Vulnerabilities
14 Application SAP Netweaver As Abap Krnl64uc 8.04 * * * Version Details Vulnerabilities
15 Application SAP Netweaver As Abap Kernel 8.04 * * * Version Details Vulnerabilities
16 Application SAP Netweaver As Abap Krnl32uc 7.21 * * * Version Details Vulnerabilities
17 Application SAP Netweaver As Abap Krnl64nuc 7.21 * * * Version Details Vulnerabilities
18 Application SAP Netweaver As Abap Krnl32nuc 7.21 * * * Version Details Vulnerabilities
19 Application SAP Netweaver As Abap 7.21 * * * Version Details Vulnerabilities
20 Application SAP Netweaver As Abap 7.21ext * * * Version Details Vulnerabilities
21 Application SAP Netweaver As Abap 7.22ext * * * Version Details Vulnerabilities
22 Application SAP Netweaver As Abap 7.22 * * * Version Details Vulnerabilities
23 Application SAP Netweaver As Abap 7.49 * * * Version Details Vulnerabilities
24 Application SAP Netweaver As Abap 7.53 * * * Version Details Vulnerabilities
25 Application SAP Netweaver As Abap 7.77 * * * Version Details Vulnerabilities
26 Application SAP Netweaver As Abap 7.81 * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
SAP Netweaver Abap 13
SAP Netweaver As Abap 13

- References For CVE-2021-33684

https://launchpad.support.sap.com/#/notes/3032624
https://wiki.scn.sap.com/wiki/pages/viewpage.action?pageId=580617506

- Metasploit Modules Related To CVE-2021-33684

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.